Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf
Class EditPartSelectionSynchronizer

    java.lang.Object
      org.eclipse.amp.axf.view.SelectionSynchronizer
          org.eclipse.amp.agf.EditPartSelectionSynchronizer

All Implemented Interfaces:
  org.eclipse.jface.viewers.ISelectionChangedListener

    public class EditPartSelectionSynchronizer

extends SelectionSynchronizer

An implementation of selection synchronizer supporting edit parts, viewers and generic objects.

Constructor Summary
`EditPartSelectionSynchronizer()`

Method Summary
`protected java.lang.Object` | `convert(org.eclipse.jface.viewers.ISelectionProvider viewer, java.lang.Object object)` Maps the given editpart from one viewer to an editpart in another viewer.

Methods inherited from class org.eclipse.amp.axf.view.SelectionSynchronizer
`addViewer, removeViewer, replace, selectionChanged, setEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditPartSelectionSynchronizer

    public EditPartSelectionSynchronizer()

Method Detail

### convert

    protected java.lang.Object convert(org.eclipse.jface.viewers.ISelectionProvider viewer,
                                       java.lang.Object object)

  Maps the given editpart from one viewer to an editpart in another viewer. It returns `null` if there is no corresponding part. This method can be overridden to provide custom mapping.

  Overrides:
    `convert` in class `SelectionSynchronizer`
  Parameters:
    `viewer` - the viewer being mapped to
    `object` - the object
  Returns:
    `null` or a corresponding editpart

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD